import { ComponentRef, Injector, NgModuleFactoryLoader, ComponentFactoryResolver } from "@angular/core";
import { InitialisationService } from "./initialisation.service";
import { View } from "qmuzik-angular-model-core";
import { BaseService } from "./base.service";
export declare class DynamicViewService extends BaseService {
    initialisationService: InitialisationService;
    private componentFactoryResolver;
    private moduleLoader;
    private injector;
    constructor(initialisationService: InitialisationService, componentFactoryResolver: ComponentFactoryResolver, moduleLoader: NgModuleFactoryLoader, injector: Injector);
    GetComponent(internalName: string): Promise<ComponentRef<any>>;
    private GetModulePathFromRegistryItem;
    private getRegistryItemForView;
    private getDynamicContentErrorComponent;
    simulateResolver(view: View): Promise<boolean>;
}
